Updating debian wheezy to jessie

Discussion in 'Installation/Configuration' started by larsvansante, Oct 13, 2015.

  1. larsvansante

    larsvansante New Member

    Hello,

    I tried updating to jessie but failed miserably,

    the first try I updated the sources and did and apt-get update, apt-get upgrade and apt-get dist-upgrade.
    I let apt write new configuration files for everything (I wanted all the new functions to work properly and nice)
    I updated the fail2ban files to the ones in the tutorial, updated ispconfig and resynced everything.

    Almost everything worked fine, all my clients sites, email and all of that worked just fine, but not my whmcs site, I guess some php functions malfunctioned.

    The second try I uninstalled everything I installed from the jessie howto and the wheezy how to and reinstalled everything from the jessie howto and followed the tutorial, the websites worked but I could not log onto ispconfig.
    I know the second try was drastic, but I did not know what else to do...

    I reverted everything to a backup I did before trying to update anything.
    What did I do so wrong? and how can I do it successfully?
    A few months ago I asked if there was gonna be a tutorial and Till responded that he would make one the following months, I cannot seem to find it, only one for openvz servers.

    Thanks for your time!

    Lars van Sante
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    The first try was the correct procedure. The next step would have been to debug whmcs and take a look into the error.log of the website where you installed whmcs to to see why it fails. you cluld have also contacted whmcs support and ask them if your whmcs version is compatible with the php version of the new debian version and in case whmcs uses ioncube, install the new ioncube loaders.

    The second try could not work as the uninstall just destroyed the whole setup.
     
  3. larsvansante

    larsvansante New Member

    I installed the new ioncube loaders, the error log said something like incomplete headers, I looked that up on google and I had to extend something to 300 in the php.ini, I then tried to install whmcs to see what error message it would have put, and it said it was incompatible, I know whmcs is compatible with the latest php.

    I forgot to mention, I have the mpm worker running now, after the upgrade it defaulted back to prefork and I changed it to event for better performance, maybe this is the problem?
     
  4. Farsus

    Farsus New Member

    It depends on which whmcs serie you use
    latest whmcs 6 serie should be compatible with php 5.6 which are the version Jessie are installing
    but whmcs 5.3 serie are not they will not run with a higher version than 5.4.45
    as a work around if you are using the whmcs 5.3 serie you could use a multiplie php install in ispconfig to get a version that can work with your whmcs version.
     
  5. concept21

    concept21 Member

    The correct approach is to build a new ispconfig 3 on your new OS, comply all new drivers, install new loaders,
    and finally migrate all relevant db and sites. :D
     
  6. webguyz

    webguyz Member HowtoForge Supporter

    While on the subject of upgrading, does the upgrade order matter if you have multi-server with separate CP, mail servers, web servers and all are currently Wheezy? Or is each server like an island and will work with the CP server no matter the version of the OS?

    Thanks!
     
  7. florian030

    florian030 ISPConfig Developer ISPConfig Developer

    You can use different os for each server.
     
    webguyz likes this.
  8. larsvansante

    larsvansante New Member

    For me it doesn't work, debian jessie in my secondary dns server and wheezy in my primary tend to mess things up, new dns entry's are not working. I think this could have something to do with the hostname format being different on jessie and wheezy. I will keep my servers on wheezy for a while...
     
  9. till

    till Super Moderator Staff Member ISPConfig Developer

    The OS version is not a problem here, you can even have a debian master and centos or opensuse slave. Maybe you use different ispconfig versions on the servers? The ISPCOnfig version in a cluster ahs to be identical on all servers.
     
  10. larsvansante

    larsvansante New Member

    They were identical, I always check for updates when I am using the computer.
     

Share This Page